curl_getenv(3)

NAME
curl_getenv - return value for environment name

SYNOPSIS
#include <curl/curl.h>

char *curl_getenv(const char *name);

DESCRIPTION
curl_getenv() is a portable wrapper for the getenv() function, meant to emulate its behaviour and provide an identical interface for all operating systems libcurl builds on (including win32). You must curl_free(3) the returned string when you're done with it.

AVAILABILITY
This function will be removed from the public libcurl API in a near future. It will instead be made "available" by source code access only, and then as curlx_getenv().

RETURN VALUE
A pointer to a zero terminated string or NULL if it failed to find the specified name.

NOTE
Under unix operating systems, there isn't any point in returning an allocated memory, although other systems won't work properly if this isn't done. The unix implementation thus has to suffer slightly from the drawbacks of other systems.

SEE ALSO
getenv(3C),